Mozilla Closes Holes That Led To Coinbase Hacks

Mozilla Closes Holes That Led To Coinbase Hacks

A pair of simple Mozilla vulnerabilities made it easier for hackers to phish Coinbase employees. The exploit, detailed by ZDNet, was a remote code execution attack that could force machines running Firefox to install spyware to capture passwords and other data.

The two vulnerabilities – CVE-2019-11708 and CVE-2019-11707 – first appeared in April 15 and hackers used them to spear-phish Coinbase employees. When they visited sites linked in the email the browser would download a piece of spyware to steal logins and other data.

Some detail from the exploit suggests that the bug could escalate privileges outside of the “sandbox” where most Mozilla code runs:

Insufficient vetting of parameters passed with the Prompt:Open IPC message between child and parent processes can result in the non-sandboxed parent process opening web content chosen by a compromised child process. When combined with additional vulnerabilities this could result in executing arbitrary code on the user’s computer.

The two vulnerabilities combined to create a perfect storm, allowing hackers to run malware installers instantly. Researchers discovered the exploits on April 15 and they suspect that hackers saw them in Mozilla’s Bugzilla bug tracking database and exploited them before they could be patched. The hack did not effect Coinbase users.

Mozilla is asking users to update their browsers in order close these holes.

Source: Mozilla Closes Holes That Led To Coinbase Hacks